#if __STDC_VERSION__ >= 199901L
/* C99 type definitions */
#	include <stdint.h>
typedef uint32_t rune_t;
#else
/* Must hold at least 32b; see the C89 draft 2.2.4.2
 * <http://jfxpt.com/library/c89-draft.html#2.2.4.2> */
typedef unsigned long int rune_t;
#endif
#include <stddef.h> /* size_t */

rune_t swab32(rune_t c);
rune_t utf8_to_utf32be(rune_t c);
rune_t utf32be_to_utf8(rune_t c, size_t m);
rune_t utf32be_to_utf32le(rune_t c);
rune_t utf32le_to_utf32be(rune_t c);
